package easydo.technology.controller;

import easydo.technology.model.Customer;
import easydo.technology.service.CustomerService;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.Map;

@RestController
@RequestMapping("/customer")
public class CustomerController {

    @Resource
    CustomerService customerService;

    @RequestMapping(value = "/getList")
    public Object getList(@RequestBody Map<String, Object> map) throws Exception {
        Object list = customerService.getList(map);
        return new ResponseEntity<>(list, HttpStatus.OK);
    }

    @RequestMapping(value = "/getPage")
    public Object getPage(@RequestBody Map<String, Object> map) throws Exception {
        Object page = customerService.getPage(map);
        return new ResponseEntity<>(page, HttpStatus.OK);
    }

    @RequestMapping(value = "/save")
    public Object save(@RequestBody Customer model) throws Exception {
        Object result = customerService.save(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }

    @RequestMapping(value = "/update")
    public Object update(@RequestBody Customer model) throws Exception {
        Object result = customerService.update(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }

    @RequestMapping(value = "/remove")
    public Object remove(@RequestBody Customer model) throws Exception {
        Object result = customerService.remove(model);
        return new ResponseEntity<>(result, HttpStatus.OK);
    }
}
